Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel.extensions
Class XSSFCellBorder

    java.lang.Object
      org.apache.poi.xssf.usermodel.extensions.XSSFCellBorder

    public class XSSFCellBorder

extends java.lang.Object

This element contains border formatting information, specifying border definition formats (left, right, top, bottom, diagonal) for cells in the workbook. Color is optional.

Nested Class Summary
`static class` | `XSSFCellBorder.BorderSide` The enumeration value indicating the side being used for a cell border.

Constructor Summary
`XSSFCellBorder()` Creates a new, empty Cell Border, on the given Styles Table
`XSSFCellBorder(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTBorder border)` Creates a Cell Border from the supplied XML definition

Method Summary
`boolean` | `equals(java.lang.Object o)`
`XSSFColor` | `getBorderColor(XSSFCellBorder.BorderSide side)` Get the color to use for the selected border
`BorderStyle` | `getBorderStyle(XSSFCellBorder.BorderSide side)` Get the type of border to use for the selected border
`org.openxmlformats.schemas.spreadsheetml.x2006.main.CTBorder` | `getCTBorder()` Returns the underlying XML bean.
`int` | `hashCode()`
`void` | `setBorderColor(XSSFCellBorder.BorderSide side, XSSFColor color)` Set the color to use for the selected border
`void` | `setBorderStyle(XSSFCellBorder.BorderSide side, BorderStyle style)` Set the type of border to use for the selected border

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFCellBorder

    public XSSFCellBorder(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTBorder border)

  Creates a Cell Border from the supplied XML definition

### XSSFCellBorder

    public XSSFCellBorder()

  Creates a new, empty Cell Border, on the given Styles Table

Method Detail

### getCTBorder

    @Internal
    public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTBorder getCTBorder()

  Returns the underlying XML bean.

  Returns:
    CTBorder

### getBorderStyle

    public BorderStyle getBorderStyle(XSSFCellBorder.BorderSide side)

  Get the type of border to use for the selected border

  Parameters:
    `side` - - - where to apply the color definition
  Returns:
    borderstyle - the type of border to use. default value is NONE if border style is not set.
  See Also:
    `BorderStyle`

### setBorderStyle

    public void setBorderStyle(XSSFCellBorder.BorderSide side,
                               BorderStyle style)

  Set the type of border to use for the selected border

  Parameters:
    `side` - - - where to apply the color definition
    `style` - - border style
  See Also:
    `BorderStyle`

### getBorderColor

    public XSSFColor getBorderColor(XSSFCellBorder.BorderSide side)

  Get the color to use for the selected border

  Parameters:
    `side` - - where to apply the color definition
  Returns:
    color - color to use as XSSFColor. null if color is not set

### setBorderColor

    public void setBorderColor(XSSFCellBorder.BorderSide side,
                               XSSFColor color)

  Set the color to use for the selected border

  Parameters:
    `side` - - where to apply the color definition
    `color` - - the color to use

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.